<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="host.socket-binding-group.remote-destination-outbound-socket-binding" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="fixed-source-port,host-feature,port,source-interface,source-port"/>
        <elem name="op-params-mapping" value="fixed-source-port,host,port,source-interface,source-port"/>
        <elem name="addr-params" value="host,socket-binding-group,remote-destination-outbound-socket-binding"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.socket-binding-group"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.network.outbound-socket-binding.$remote-destination-outbound-socket-binding"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.interface.$source-interface" optional="true"/>
    </requires>
    <refs>
        <ref feature="host.socket-binding-group"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="socket-binding-group" feature-id="true"/>
        <param name="source-port" nillable="true" stability="default"/>
        <param name="remote-destination-outbound-socket-binding" feature-id="true"/>
        <param name="port" stability="default"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="source-interface" nillable="true" stability="default"/>
        <param name="fixed-source-port" nillable="true" stability="default"/>
        <param name="host-feature" stability="default"/>
    </params>
</feature-spec>